# Misc

## Dad joke

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/dadjoke`

Get a random dad joke :D

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "joke: "What concert costs only 45 cents? 50 cent featuring Nickelback."
}
```

{% endtab %}
{% endtabs %}

## User Info

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/me`

Get your user data for this API token.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "1234",
    "created": "2019-08-27T17:11:31.0409998Z",
    "britishAchievement": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/endpoints/misc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
